curl --request GET \
--url https://api.argil.ai/v1/videos/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.argil.ai/v1/videos/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.argil.ai/v1/videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"duration": 123,
"moments": [
{
"transcript": "<string>",
"avatarId": "<string>",
"voiceId": "<string>",
"audioUrl": "<string>",
"videoUrl": "<string>",
"gestureSlug": "<string>",
"zoom": {},
"broll": {
"zoom": {}
}
}
],
"videoUrl": "<string>",
"videoUrlSubtitled": "<string>",
"previewUrl": "<string>",
"aspectRatio": "16:9",
"subtitles": {
"enable": true
},
"extras": {}
}{
"code": 123,
"message": "<string>"
}Get a Video by id
Returns a single Video identified by its id
Authorizations
API key to be included in the x-api-key header
Path Parameters
The id of the Video to retrieve
Response
Detailed information about the Video
Can be either IDLE, GENERATING_AUDIO, GENERATING_VIDEO, DONE or FAILED.
Total video duration in seconds. null when audio hasn't been generated yet.
An array of Moment items, each representing a portion of the complete video.
Show child attributes
Show child attributes
The url of the final avatar rendering video, containing all the moments merged.
The url of the final avatar rendering video with subtitles. Only available if subtitles are enabled.
Url to the embedable preview of the video. Can be watched from web browsers or integrated in other websites before launching the generation. For embedable mode, add ?embed=true to the url.
The aspect ratio of the video output: 16:9 or 9:16.
16:9, 9:16 Subtitles settings for the video
Show child attributes
Show child attributes
A dictionary of custom key-value pairs to extend the video metadata. Maximum of 5 key-value pairs of 256 characters allowed.
Show child attributes
Show child attributes
Was this page helpful?
